from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.market.get_holidays(exchange=models.ExchangeCode.US)
assert res.market_holiday_response is not None
# Handle response
print(res.market_holiday_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.market.getHolidays({});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/market/holiday \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/market/holiday', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/market/holiday",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/market/holiday"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/market/holiday")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/market/holiday")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"holidays": [
{
"atDate": "2026-12-25",
"eventName": "Christmas Day",
"tradingHour": ""
},
{
"atDate": "2026-12-24",
"eventName": "Christmas Day",
"tradingHour": "09:30-13:00"
}
]
}Market Holidays
Retrieve market holiday schedules showing dates when exchanges are closed for official holidays and early close days. Essential for planning trading schedules.
Use Case: Display upcoming market closures in a trading calendar to help users plan their activity.
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.market.get_holidays(exchange=models.ExchangeCode.US)
assert res.market_holiday_response is not None
# Handle response
print(res.market_holiday_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.market.getHolidays({});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/market/holiday \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/market/holiday', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/market/holiday",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/market/holiday"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/market/holiday")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/market/holiday")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"holidays": [
{
"atDate": "2026-12-25",
"eventName": "Christmas Day",
"tradingHour": ""
},
{
"atDate": "2026-12-24",
"eventName": "Christmas Day",
"tradingHour": "09:30-13:00"
}
]
}Authorizations
Query Parameters
exchange code (case-insensitive). Select from the Try it dropdown or use any value from the supported exchange list in the API reference page.
Two-to-three-letter exchange code identifying a global stock exchange (e.g. US = U.S. exchanges, L = London, HK = Hong Kong, T = Tokyo, PA = Paris). Used as the exchange query parameter for market-status and market-holiday endpoints. Other endpoints may return a different exchange-code format depending on the upstream data source.
AD, AS, AT, AX, BA, BC, BD, BE, BH, BK, BO, BR, CA, CN, CO, CR, CS, DB, DE, DU, F, HA, HE, HK, HM, IC, IR, IS, JK, JO, KL, KQ, KS, KW, L, LS, MC, ME, MI, MT, MU, MX, NE, NL, NS, NZ, OL, OM, PA, PK, PM, PR, QA, RG, RO, SA, SC, SG, SI, SN, SR, SS, ST, SW, SX, SZ, T, TA, TG, TL, TO, TW, TWO, US, V, VI, VN, VS, WA "US"
Was this page helpful?